library(stockassessment)

oldwd<-setwd("data")

  cn<-read.ices("cn.dat")
  cw<-read.ices("cw.dat")
  dw<-read.ices("dw.dat")
  lw<-read.ices("lw.dat")
  mo<-read.ices("mo.dat")
  nm<-read.ices("nm.dat")
  pf<-read.ices("pf.dat")
  pm<-read.ices("pm.dat")
  sw<-read.ices("sw.dat")
  lf<-read.ices("lf.dat")
  surveys<-read.ices("survey.dat")
n.hauls <-read.ices("SH_nohauls.dat")

 wts <-read.ices("cn.tripno.dat")
 attr(cn, "weight")<-wts

setwd(oldwd)

wts <- surveys

wts[[1]][] <- n.hauls[rownames(surveys[[1]]),1]
wts[[2]][] <-n.hauls[rownames(surveys[[2]]),1]

#attr(surveys[[1]], "weight")<-wts[[1]]
#attr(surveys[[2]], "weight")<-wts[[2]]


dat<-setup.sam.data(surveys=surveys,
                    residual.fleet=cn, 
                    prop.mature=mo, 
                    stock.mean.weight=sw, 
                    catch.mean.weight=cw, 
                    dis.mean.weight=dw, 
                    land.mean.weight=lw,
                    prop.f=pf, 
                    prop.m=pm, 
                    natural.mortality=nm, 
                    land.frac=lf)


save(dat, file="run/data.RData")
